SystemOrganization addCategory: #'JQWidgetBox-Sheet-Dev-Tests'!
SystemOrganization addCategory: #'JQWidgetBox-Sheet-Dev-Example'!

JQWidgetExample subclass: #JQSheetExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Sheet-Dev-Example'!

!JQSheetExample classSide methodsFor: 'accessing' stamp: 'tbn 11/2/2009 20:04'!
description
	^ 'JQuery sheet'! !

!JQSheetExample classSide methodsFor: 'accessing' stamp: 'tbn 11/2/2009 20:04'!
shortName
	^'sheet'! !

!JQSheetExample methodsFor: 'accessing' stamp: 'NickAger 1/27/2010 16:20'!
renderContentOn: html
	html div
		script: (html jQuery this sheet 
			 buildSheetOfSize: 3@4;
			 urlTheme: self themeURL)
 ! !

!JQSheetExample methodsFor: 'accessing' stamp: 'tbn 11/2/2009 20:05'!
themeURL
	"Return an url used for theming, see http://jqueryui.com/themeroller"
	
	^'http://jqueryui.com/themeroller/css/parseTheme.css.php?ffDefault=Lucida+Grande,+Lucida+Sans,+Arial,+sans-serif&fwDefault=bold&fsDefault=1.1em&cornerRadius=5px&bgColorHeader=5c9ccc&bgTextureHeader=12_gloss_wave.png&bgImgOpacityHeader=55&borderColorHeader=4297d7&fcHeader=ffffff&iconColorHeader=d8e7f3&bgColorContent=fcfdfd&bgTextureContent=06_inset_hard.png&bgImgOpacityContent=100&borderColorContent=a6c9e2&fcContent=222222&iconColorContent=469bdd&bgColorDefault=dfeffc&bgTextureDefault=02_glass.png&bgImgOpacityDefault=85&borderColorDefault=c5dbec&fcDefault=2e6e9e&iconColorDefault=6da8d5&bgColorHover=d0e5f5&bgTextureHover=02_glass.png&bgImgOpacityHover=75&borderColorHover=79b7e7&fcHover=1d5987&iconColorHover=217bc0&bgColorActive=f5f8f9&bgTextureActive=06_inset_hard.png&bgImgOpacityActive=100&borderColorActive=79b7e7&fcActive=e17009&iconColorActive=f9bd01&bgColorHighlight=fbec88&bgTextureHighlight=01_flat.png&bgImgOpacityHighlight=55&borderColorHighlight=fad42e&fcHighlight=363636&iconColorHighlight=2e83ff&bgColorError=fef1ec&bgTextureError=02_glass.png&bgImgOpacityError=95&borderColorError=cd0a0a&fcError=cd0a0a&iconColorError=cd0a0a&bgColorOverlay=aaaaaa&bgTextureOverlay=01_flat.png&bgImgOpacityOverlay=0&opacityOverlay=30&bgColorShadow=aaaaaa&bgTextureShadow=01_flat.png&bgImgOpacityShadow=0&opacityShadow=30&thicknessShadow=8px&offsetTopShadow=-8px&offsetLeftShadow=-8px&cornerRadiusShadow=8px'
 ! !

!JQSheetExample methodsFor: 'updating' stamp: 'tbn 11/2/2009 20:15'!
updateRoot: aHtmlRoot
	super updateRoot: aHtmlRoot.
	aHtmlRoot stylesheet url: self library / #jquerysheetCss.
	aHtmlRoot javascript url: self library / #jquerysheetminJs! !

JQWidgetBoxWidgetTest subclass: #JQSheetTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Sheet-Dev-Tests'!

!JQSheetTest methodsFor: 'testing' stamp: 'tbn 11/2/2009 20:06'!
testActions
	self
		assert: ((self jQuery: 'sheet') sheet)
		equals: self function, '("sheet").sheet()'.
		
	self
		assert: ((self jQuery: 'sheet') sheet buildSheetOfSize: 3@4)
		equals: self function, '("sheet").sheet({buildSheet:"3x4"})'.			
! !
